Name:           python-ip2location
Version:        8.10.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This is an IP geolocation library that enables the user to find the country, region, city, latitude and longitude, ZIP code, time zone, ISP, domain name, area code, weather info, mobile info, elevation, usage type, address type and IAB category from an IP address. It supports both IPv4 and IPv6 lookup.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/chrislim2888/ip2location-python
Source:         %{pypi_source ip2location}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ip2location' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ip2location
Summary:        %{summary}

%description -n python3-ip2location %_description


%prep
%autosetup -p1 -n ip2location-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ip2location -f %{pyproject_files}


%changelog
%autochangelog